Create a member relation (or update the existing one) between a role and a user email A user can only execute this action if he is a member of an authorizing role which satisfies one of the following conditions: The authorizing role has direct or indirect userManagement rights for the role to which a member is added (or updated) The authorizing role has indirect roleManagement rights for the role to which a member is added (or updated)
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
Id of the role of the newly created (or updated) member relation
0 <= valueEmail of the user of the newly created (or updated) member relation
Name of the mailbot configuration used to send an email in the case that new user credentials are created
Value in
New user password in the case that new user is created
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/role/0/member?userEmail=string" \ -H "Content-Type: application/json" \ -d '{}'{ "member": { "id": 0, "roleId": 0, "userEmail": "string" }}Collect member relations POST
Get all (or some of) the member relations which start from a role where the user has (either directly or indirectly) userManagement rights, and get those member relations involding the user itself.
Update an existing member relation PUT
A user can only execute this action if he is a member of an authorizing role which satisfies one of the following conditions: <ul> <li> The authorizing role has *direct or indirect* userManagement rights for the role to which a member is updated </li> <li> The authorizing role has *indirect* roleManagement rights for the role to which a member is updated </li> </ul>